当前位置: 首页 > >

从Keil4到Keil5的迁移

发布时间:

相信亲们初次使用Keil5可能会遇到各种问题,俺也是刚刚从Keil4转过来,各种问题,各种不*惯,但各种新功能让我不得不弃用Keil4。


以下是我使用Keil5时遇到的麻烦,以及解决办法,希望对各位码友们有所帮助,顺利使用Keil5:


1、编译旧工程报错。


2、使用F7编译时,总会重新编译工程所有源码。


3、新建工程时找不到任何设备或找不到所需要的设备。


4、J-Link提示升级,但升级后J-Link无法使用。


一般出现问题一是因为CMSIS的引用不兼容,所引发的,只要把旧工程依赖的相应文件从Keil4中拷贝过来就OK。


问题二,若其它配置都没有问题。其实是Keil5对输出文件位置有要求,编译所有的输出文件都要求与Keil工程位于相同的目录下。


问题三,其实是没有完全安装好Keil5(问题二所有的设置都正确的情况下),除了需要安装MDK Version 5(http://www2.keil.com/mdk5),还需要安装MDK Version 5 - Legacy Support(http://www2.keil.com/mdk5/legacy)及MDK5 Software Packs(http://www.keil.com/dd2/pack/)同时安装这三个文件基本就跟Keil4一样了。


至于第四个问题请转?http://blog.csdn.net/yfj300/article/details/16904613?







友情链接: